%define with_python_version 2.5
Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	tools for connecting to Palm or PalmOS(tm) handhelds
Name:      	pilot-link
Version:   	0.12.3	
Release:   	2
Provides:  	pilot-link
License : 	GNU/GPL	
Url:		http://www.pilot-link.org/
Group:     	System/Libraries  
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  libpng-devel
BuildRequires:  popt
BuildRequires:	bluez-devel
BuildRequires:  readline-devel

%description
pilot-link is a suite of tools used to connect your Palm or PalmOS compatible handheld with Unix, Linux, and any other POSIX-compatible machine. pilot-link works with all PalmOS handhelds, including those made by Handspring, Sony, and Palm, as well as others.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package conduits
Summary:        userspace tools of pilot-link
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description conduits
pilot-link "conduits" are little applications that you can run and connect to your PalmOS handheld or send and retrieve information from the device, using your desktop or remote networked server to initiate the connection.

%package python
Summary: Python bindings for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: python

%description python
Python bindings for %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--sysconfdir=%_sysconfdir \
		--disable-debug \
		--with-python \
		--enable-threads \
		--enable-conduits
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/udev/rules.d
cp doc/60-libpisock.rules $RPM_BUILD_ROOT/etc/udev/rules.d/

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_sysconfdir
%_libdir/*.so*

%files python
%{_libdir}/python%{with_python_version}/


%files conduits
%defattr(-,root,root)
%_bindir


%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.la
%_libdir/*.a
%_datadir/aclocal
%_datadir/pilot-link
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.12.3-2
- rebuilt against bluez 4.2
* Sun Aug 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.12.3-1
- Version update
- split python bindings to separate package
* Fri Oct 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.12.1-1
- Initial Release
